MAPCD:    EQU $ AND 0FFH                ; LOOK UP TABLE FOR MEMORY MAPS
          DFB PRVMP                     ; PV-PRVMP
          DFB SP1MP                     ; SP1
          DFB DB1MP                     ; DB1
          DFB SP2MP                     ; SP2
          DFB DB2MP                     ; DB2
          DFB SD1MP                     ; SETPOINT +/-DB 1
          DFB SD2MP                     ; SETPOINT +/-DB 2
LEDCD:    EQU $ AND 0FFH                ; LOOK UP TABLE FOR LED LOCATION.
          DFB BLANK XOR SKORA           ; BLANK AS LED USED FOR CAL MODE.
          DFB 00000010B XOR SKORA       ; SP1
          DFB 00000100B XOR SKORA       ; DB1
          DFB 00001000B XOR SKORA       ; SP2
          DFB 00010000B XOR SKORA       ; DB2
          DFB 00000110B XOR SKORA       ; SD1
          DFB 00011000B XOR SKORA       ; SD2
CODES:    EQU $ AND 0FFH                ; FORMAT PGFEDCBA D7 TO D0 P STANDS FOR DP
          DFB 00111111B XOR SKORA       ; 0     p    g    f    c    a    d    e    b
          DFB 00010001B XOR SKORA       ; 1    D7   D6   D5   D4   D3   D2   D1   D0
          DFB 01001111B XOR SKORA       ; 2..             a
          DFB 01011101B XOR SKORA       ; 3           ---------
          DFB 01110001B XOR SKORA       ; 4           |       |
          DFB 01111100B XOR SKORA       ; 5         f |       | b
          DFB 01111110B XOR SKORA       ; 6           |       |
          DFB 00011001B XOR SKORA       ; 7           ---------
          DFB 01111111B XOR SKORA       ; 8           |   g   |
          DFB 01111101B XOR SKORA       ; 9         e |       | c
          DFB 01010111B XOR SKORA       ; d           |       |
          DFB 01101110B XOR SKORA       ; E           ---------   o
          DFB 00100110B XOR SKORA       ; L              d        p
          DFB 01111011B XOR SKORA       ; A
          DFB 01110110B XOR SKORA       ; b
          DFB 01000010B XOR SKORA       ; r
ENDGT:    EQU {$-1} AND 0FFH            ; THIS ENCODES PORT 1 0-3 TO TURN ON DIGITS.
          DFB 11111010B XOR DKORA       ; HICAL LATCH LOC 55 IN RAM WR 377 EN FROM 4514. D8
          DFB 11110110B XOR DKORA       ; LED ROW K LED
          DFB 11110010B XOR DKORA       ; B ALPH D11
          DFB 11110011B XOR DKORA       ; A ALPH D10
          DFB 11111000B XOR DKORA       ; POLARITY     D5
          DFB 11111100B XOR DKORA       ; THOUSANDS    D4
          DFB 11110100B XOR DKORA       ; HUNDREDS     D3
          DFB 11110101B XOR DKORA       ; TENS         D2
          DFB 11110001B XOR DKORA       ; UNITS        D1
CALCD:    EQU $ AND 0FFH                ; CODES FOR CAL MODE ALPHABET DISPLAY AB
          DFB BLANK XOR SKORA           ; NORMAL MODE DIGIT B
          DFB 00101110B XOR SKORA       ; C CAL CA
          DFB 00100110B XOR SKORA       ; L ZER Lo
          DFB 01110011B XOR SKORA       ; H FSL Hi
          DFB 01010111B XOR SKORA       ; d DPS dP
          DFB BLANK XOR SKORA           ; TXT01 DSPLAY.
          DFB BLANK XOR SKORA           ; TXT01 DSPLAY.
          DFB BLANK XOR SKORA           ; TPLMT
          DFB BLANK XOR SKORA           ; BTLMT
          DFB BLANK XOR SKORA           ; NORMAL MODE DIGIT A
          DFB 01111011B XOR SKORA       ; A CA
          DFB 01010110B XOR SKORA       ; o Lo
          DFB 00010000B XOR SKORA       ; i Hi
          DFB 01101011B XOR SKORA       ; P dP
          DFB BLANK XOR SKORA           ; TXT02 DSPLAY.
          DFB BLANK XOR SKORA           ; TXT02 DSPLAY.
          DFB BLANK XOR SKORA           ; TPLMT
          DFB BLANK XOR SKORA           ; BTLMT
B0256:    EQU $ AND 0FFH                ; CODES FOR ADDING BCD NOS.
          DFB 0,2,5,6                   ; FOR 256 ADDING.
          DFB 0,1,2,8                   ; FOR 128 ADDING.
          DFB 0,0,6,4                   ; FOR 064 ADDING.
          DFB 0,0,3,2                   ; FOR 032 ADDING.
          DFB 0,0,1,6                   ; FOR 016 ADDING.
ALPHD:    EQU $ AND 0FFH                ; CODES FOR DISPL > 0 ALPHABET DISPLAY AB
          DFB BLANK XOR SKORA           ; TXT01 DSPLAY.
          DFB 10100110B XOR SKORA       ; L. LT1 L.1
          DFB 11010111B XOR SKORA       ; d. DB1 d.1
          DFB 10100110B XOR SKORA       ; L. LT2 L.2
          DFB 11010111B XOR SKORA       ; d. DB2 d.2
          DFB BLANK XOR SKORA           ; TXT02 DSPLAY.
          DFB 00010001B XOR SKORA       ; 1  LT1 L.1
          DFB 00010001B XOR SKORA       ; 1  DB1 d.1
          DFB 01001111B XOR SKORA       ; 2  LT2 L.2
          DFB 01001111B XOR SKORA       ; 2  DB2 d.2
PRGCD:    EQU $ AND 0FFH                ; CODE FOR PR MODE ALPHABET DISPLAY AB
          DFB 01101011B XOR SKORA       ; P  PRG Pr
          DFB 01000010B XOR SKORA       ; r  PRG Pr
HILCD:    EQU $ AND 0FFH                ; CODE FOR Hi.Lt. INDICATION.
          DFB 01110011B XOR SKORA       ; H
          DFB 10010000B XOR SKORA       ; i.
          DFB 00100110B XOR SKORA       ; L
          DFB 11100110B XOR SKORA       ; t.
LOLCD:    EQU $ AND 0FFH                ; CODE FOR Lo.Lt. INDICATION.
          DFB 00100110B XOR SKORA       ; L
          DFB 11010110B XOR SKORA       ; o.
          DFB 00100110B XOR SKORA       ; L
          DFB 11100110B XOR SKORA       ; t.
